# eric5.UI.AuthenticationDialog

Module implementing the authentication dialog for the help browser.

### Global Attributes

None

### Classes

AuthenticationDialog | Class implementing the authentication dialog for the help browser.

### Functions

None

## AuthenticationDialog

Class implementing the authentication dialog for the help browser.

### Derived from

QDialog, Ui_AuthenticationDialog

### Class Attributes

None

### Class Methods

None

### Methods

AuthenticationDialog | Constructor
getData | Public method to retrieve the login data.
setData | Public method to set the login data.
shallSave | Public method to check, if the login data shall be saved.

### Static Methods

None

#### AuthenticationDialog (Constructor)

AuthenticationDialog(info, username, showSave=False, saveIt=False, parent=None)

Constructor

info
  information to be shown (string)
username
  username as supplied by subversion (string)
showSave
  flag to indicate to show the save checkbox (boolean)
saveIt
  flag indicating the value for the save checkbox (boolean)

#### AuthenticationDialog.getData

getData()

Public method to retrieve the login data.

Returns:
  tuple of two string values (username, password)

#### AuthenticationDialog.setData

setData(username, password)

Public method to set the login data.

username
  username (string)
password
  password (string)

#### AuthenticationDialog.shallSave

shallSave()

Public method to check, if the login data shall be saved.

Returns:
  flag indicating that the login data shall be saved (boolean)

Up